Loading...
Searching...
No Matches
field_expr_v2_variational_unary< UnaryFunction, Expr >::evaluate_call_check< Result, Arg, Status >

## Detailed Description

template<class UnaryFunction, class Expr>
template<class Result, class Arg, class Status>
struct rheolef::details::field_expr_v2_variational_unary< UnaryFunction, Expr >::evaluate_call_check< Result, Arg, Status >

Definition at line 107 of file field_expr_variational.h.

## Public Member Functions

template<class M>
void | operator() (const self_type &obj, const geo_basic< float_type, M > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const

## Member Function Documentation

## operator()()

template<class UnaryFunction, class Expr>
template<class Result, class Arg, class Status>
template<class M>

void operator() | ( | const self_type & | obj,
|  | const geo_basic< float_type, M > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value ) const

Definition at line 109 of file field_expr_variational.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field_expr_variational.h